package com.ruoyi.system.mapper.visit.dr;

import com.ruoyi.system.domain.visit.dr.VisitDrCheckHistoryFormAttach;
import com.ruoyi.system.domain.visit.dr.VisitDrCheckHistoryFormAttachExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface VisitDrCheckHistoryFormAttachMapper {
    long countByExample(VisitDrCheckHistoryFormAttachExample example);

    int deleteByExample(VisitDrCheckHistoryFormAttachExample example);

    int deleteByPrimaryKey(String id);

    int insert(VisitDrCheckHistoryFormAttach record);

    int insertSelective(VisitDrCheckHistoryFormAttach record);

    List<VisitDrCheckHistoryFormAttach> selectByExample(VisitDrCheckHistoryFormAttachExample example);

    VisitDrCheckHistoryFormAttach selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") VisitDrCheckHistoryFormAttach record, @Param("example") VisitDrCheckHistoryFormAttachExample example);

    int updateByExample(@Param("record") VisitDrCheckHistoryFormAttach record, @Param("example") VisitDrCheckHistoryFormAttachExample example);

    int updateByPrimaryKeySelective(VisitDrCheckHistoryFormAttach record);

    int updateByPrimaryKey(VisitDrCheckHistoryFormAttach record);
}